RDKit: RDKit::AtomRingQuery Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::AtomRingQuery Class Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::AtomRingQuery:

## Public Member Functions
| AtomRingQuery ()
| AtomRingQuery (int v)
virtual bool | Match (const ConstAtomPtr what) const
Queries::Query< int, ConstAtomPtr, true > * | copy () const
| returns a copy of this query More...
Public Member Functions inherited from Queries::EqualityQuery< int, ConstAtomPtr, true >
| EqualityQuery ()
| EqualityQuery (intv)
| constructs with our target value More...
| EqualityQuery (intv, intt)
| constructs with our target value and a tolerance More...
void | setVal (intwhat)
| sets our target value More...
const int | getVal () const
| returns our target value More...
void | setTol (intwhat)
| sets our tolerance More...
const int | getTol () const
| returns out tolerance More...
virtual bool | Match (const ConstAtomPtrwhat) const
| returns whether or not we match the argument More...
std::string | getFullDescription () const
| returns a fuller text description More...
Public Member Functions inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
void | setMatchFunc (bool(*what)(int))
| sets our match function More...
void | setDataFunc (int(*what)(ConstAtomPtr))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Additional Inherited Members
Public Types inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
typedef boost::shared_ptr< Query< int, ConstAtomPtr, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI
Public Attributes inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
bool(*)(int) | getMatchFunc () const
| returns our match function: More...
int(*)(ConstAtomPtr) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
int | TypeConvert (intwhat, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
int | TypeConvert (ConstAtomPtrwhat, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...
Protected Attributes inherited from Queries::EqualityQuery< int, ConstAtomPtr, true >
int | d_val
int | d_tol
Protected Attributes inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(int)
int(* | d_dataFunc )(ConstAtomPtr)

## Detailed Description

Definition at line 409 of file QueryOps.h.

## Constructor & Destructor Documentation

RDKit::AtomRingQuery::AtomRingQuery | ( |  | ) |
| inline

Definition at line 411 of file QueryOps.h.

References RDKit::queryAtomRingMembership(), Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

Referenced by copy().

RDKit::AtomRingQuery::AtomRingQuery | ( | int | v | ) |
| inlineexplicit

Definition at line 416 of file QueryOps.h.

References RDKit::queryAtomRingMembership(), Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

## Member Function Documentation

Queries::Query<int, ConstAtomPtr, true>* RDKit::AtomRingQuery::copy | ( |  | ) | const
| inlinevirtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, ConstAtomPtr, true >.

Definition at line 438 of file QueryOps.h.

References AtomRingQuery(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_dataFunc, Queries::Query< int, ConstAtomPtr, needsConversion >::d_dataFunc, Queries::Query< int, ConstAtomPtr, needsConversion >::d_description, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::EqualityQuery< int, ConstAtomPtr, true >::d_val, Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), Queries::EqualityQuery< int, ConstAtomPtr, true >::getTol(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), and Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol().

virtual bool RDKit::AtomRingQuery::Match | ( | const ConstAtomPtr | what | ) | const
| inlinevirtual

Definition at line 423 of file QueryOps.h.

References Queries::EqualityQuery< int, ConstAtomPtr, true >::d_tol, Queries::EqualityQuery< int, ConstAtomPtr, true >::d_val, Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), Queries::queryCmp(), and Queries::Query< int, ConstAtomPtr, needsConversion >::TypeConvert().

The documentation for this class was generated from the following file:

- QueryOps.h